Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rice.pastry
Interface NetworkListener

    public interface NetworkListener

Represents a listener to pastry network activity

Version:
  $Id: NetworkListener.java 3402 2006-09-13 15:24:05Z jeffh $
Author:
  Peter Druschel

Field Summary
`static int` | `REASON_ACC_BOOTSTRAP` DESCRIBE THE FIELD
`static int` | `REASON_ACC_NORMAL` DESCRIBE THE FIELD
`static int` | `REASON_ACC_SR` DESCRIBE THE FIELD
`static int` | `REASON_APP_SOCKET_NORMAL` DESCRIBE THE FIELD
`static int` | `REASON_BOOTSTRAP` DESCRIBE THE FIELD
`static int` | `REASON_NORMAL` DESCRIBE THE FIELD
`static int` | `REASON_SR` DESCRIBE THE FIELD
`static int` | `TYPE_SR_TCP` DESCRIBE THE FIELD
`static int` | `TYPE_SR_UDP` DESCRIBE THE FIELD
`static int` | `TYPE_TCP` DESCRIBE THE FIELD
`static int` | `TYPE_UDP` DESCRIBE THE FIELD

Method Summary
`void` | `channelClosed(java.net.InetSocketAddress addr)` DESCRIBE THE METHOD
`void` | `channelOpened(java.net.InetSocketAddress addr, int reason)` DESCRIBE THE METHOD
`void` | `dataReceived(int msgAddress, short msgType, java.net.InetSocketAddress socketAddress, int size, int wireType)` DESCRIBE THE METHOD
`void` | `dataSent(int msgAddress, short msgType, java.net.InetSocketAddress socketAddress, int size, int wireType)` DESCRIBE THE METHOD

Field Detail

### TYPE_TCP

    static final int TYPE_TCP

  DESCRIBE THE FIELD

  See Also:
    Constant Field Values

### TYPE_UDP

    static final int TYPE_UDP

  DESCRIBE THE FIELD

  See Also:
    Constant Field Values

### TYPE_SR_TCP

    static final int TYPE_SR_TCP

  DESCRIBE THE FIELD

  See Also:
    Constant Field Values

### TYPE_SR_UDP

    static final int TYPE_SR_UDP

  DESCRIBE THE FIELD

  See Also:
    Constant Field Values

### REASON_NORMAL

    static final int REASON_NORMAL

  DESCRIBE THE FIELD

  See Also:
    Constant Field Values

### REASON_SR

    static final int REASON_SR

  DESCRIBE THE FIELD

  See Also:
    Constant Field Values

### REASON_BOOTSTRAP

    static final int REASON_BOOTSTRAP

  DESCRIBE THE FIELD

  See Also:
    Constant Field Values

### REASON_ACC_NORMAL

    static final int REASON_ACC_NORMAL

  DESCRIBE THE FIELD

  See Also:
    Constant Field Values

### REASON_ACC_SR

    static final int REASON_ACC_SR

  DESCRIBE THE FIELD

  See Also:
    Constant Field Values

### REASON_ACC_BOOTSTRAP

    static final int REASON_ACC_BOOTSTRAP

  DESCRIBE THE FIELD

  See Also:
    Constant Field Values

### REASON_APP_SOCKET_NORMAL

    static final int REASON_APP_SOCKET_NORMAL

  DESCRIBE THE FIELD

  See Also:
    Constant Field Values

Method Detail

### channelOpened

    void channelOpened(java.net.InetSocketAddress addr,
                       int reason)

  DESCRIBE THE METHOD

  Parameters:
    `addr` - DESCRIBE THE PARAMETER
    `reason` - DESCRIBE THE PARAMETER

### channelClosed

    void channelClosed(java.net.InetSocketAddress addr)

  DESCRIBE THE METHOD

  Parameters:
    `addr` - DESCRIBE THE PARAMETER

### dataSent

    void dataSent(int msgAddress,
                  short msgType,
                  java.net.InetSocketAddress socketAddress,
                  int size,
                  int wireType)

  DESCRIBE THE METHOD

  Parameters:
    `msgAddress` - DESCRIBE THE PARAMETER
    `msgType` - DESCRIBE THE PARAMETER
    `socketAddress` - DESCRIBE THE PARAMETER
    `size` - DESCRIBE THE PARAMETER
    `wireType` - DESCRIBE THE PARAMETER

### dataReceived

    void dataReceived(int msgAddress,
                      short msgType,
                      java.net.InetSocketAddress socketAddress,
                      int size,
                      int wireType)

  DESCRIBE THE METHOD

  Parameters:
    `msgAddress` - DESCRIBE THE PARAMETER
    `msgType` - DESCRIBE THE PARAMETER
    `socketAddress` - DESCRIBE THE PARAMETER
    `size` - DESCRIBE THE PARAMETER
    `wireType` - DESCRIBE THE PARAMETER

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 - Rice Pastry.